Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (drs)

12 Feb 1997 03:31:31 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Keith Gary Boyce <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Keith Gary Boyce wrote:
> 
> I agree I have no copyright on any of the code but I did send in patches
> for header files and I did port wxwindows to gnu-win32 platform. Also
> i've seen other patches sent in by several other people (thus the use
> of the term collective).
> 
> No problem with cygnus doing anything they want in fact. The only problem
> I have is that I can't do anything I want..

My question is as follows: if GCC is covered by the GPL, and cygnus
does a port of GCC to some platform, using a particular strategy
(cygwin32.dll)
to achieve that end, then at what point did the GPL go away? By what
right
does Cygnus distribute a free compiler covered by the GPL, but then take
it
back for commerical clients? Cygwin32.dll is a necessary part of this
particualr strategy of getting the toolset to run under Win32, so isn't
it 
defacto covered by the GPL? --Cygwin32 is pretty obviously a part of the
toolset --it is a tool which translates between two runtime interfaces.
Not so
different from an internal piece of the compiler itself, like cc1plus.
So,
in what sense can it be called proprietary?

> In fact even that is not that
> important since I have no aspirations to make money through this project.
> What I view is a problem is what I have heard while working with people not
> associated with cygnus (regarding porting their programs over to win95).
> It seems everyone is excited at first about not having to be tied to
> microsoft or borland but when it becomes apparent that they have to share
> their source code they become disinterested in using gcc.

I don't think this is right, Keith. Programs written with GCC do not 
have to be provided with source code. The only GNU tool I know of which 
requires this is Bison, and that is because Richard Stallman would like
to see new languages built with it become freely available. 

> The reason why it
> is important to convert people over to using gcc is that the more people
> that are involved the more likely it is that progress is made.

This is absolutely right. 

> (Linux effort for instance). If people are willing to give away their
> programs for free but not willing to part with their source code and
> with gnu-win32 they can't then that is a problem.
> My mailing is not so say that cygnus has done anything wrong. In fact
> I think that they have been very good to us giving us a free compiler
> for windows. I am just trying to say that to bring others to this effort
> in thousands rather than hundreds we at least have to be able to produce
> native binaries without cygnus's library.

[etc.]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".